package com.yeejoin.amos.boot.module.jg.api.mapper;

import com.yeejoin.amos.boot.module.common.api.dto.DPFilterParamDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DPStatisticsMapper {

    List<Map<String, Object>> maintenanceCountTopTen(@Param("dpFilterParamDto") DPFilterParamDto dpFilterParamDto);
    List<Map<String, Object>> maintenanceCount(@Param("dpFilterParamDto") DPFilterParamDto dpFilterParamDto);

    List<Map<String, Object>> installCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> maintenanceNoticeCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> reformCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> transferCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> useCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> vehicleCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> changeNameCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> changeReformCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> changeTransferCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> changeUnitCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> changeVehicleCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> disableCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> cancelCount(@Param("cityCode") String cityCode);

    List<Map<String, Object>> installEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> maintenanceEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> reformEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> transferEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);



    List<Map<String, Object>> useEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> changeReformEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> changeTransferEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> changeUnitEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> vehicleEquCount(@Param("cityCode") String cityCode,@Param("startTime") String startTime);

    List<Map<String, Object>> newRegEquCountByMonth(@Param("cityCode") String cityCode);

    List<Map<String, Object>> newVehicleEquCountByMonth(@Param("cityCode") String cityCode);

    List<Map<String, Object>> newRegEquCountByYear(@Param("cityCode") String cityCode);

    List<Map<String, Object>> newVehicleEquCountByYear(@Param("cityCode") String cityCode);

    String newVehicleCountByYear(@Param("cityCode") String cityCode);
    String newVehicleCountByMonth(@Param("cityCode") String cityCode);
}
